Skip to main content

Get a project plan area

GET 

/api/project-plan-areas/{id}

Required permissions:

  • project_plan.view: allows view of project plan areas.

Request

Path Parameters

    id integerrequired

    Possible values: Value must match regular expression [0-9]+

    The ID of the project plan area to view

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Responses

Returns the requested project plan area.

Schema

    id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    name stringrequired

    Possible values: <= 255 characters

    The name of the project plan area

    sort floatrequired

    The sort order of the project plan area within the project

    project_id integerrequired

    Possible values: >= 1

    The ID of the project this area belongs to

    budget_area_id integernullable

    Possible values: >= 1

    The ID of the budget area linked to this project plan area, if any

Loading...